### Enumeration

# Gtk EventControllerScrollFlags

#### Declaration

    flags Gtk.EventControllerScrollFlags

#### Description [src]

Describes the behavior of a `GtkEventControllerScroll`.

#### Members

Name | Description
--- | ---
`GTK_EVENT_CONTROLLER_SCROLL_NONE` | Don’t emit scroll.
`GTK_EVENT_CONTROLLER_SCROLL_VERTICAL` | Emit scroll with vertical deltas.
`GTK_EVENT_CONTROLLER_SCROLL_HORIZONTAL` | Emit scroll with horizontal deltas.
`GTK_EVENT_CONTROLLER_SCROLL_DISCRETE` | Only emit deltas that are multiples of 1.
`GTK_EVENT_CONTROLLER_SCROLL_KINETIC` | Emit ::decelerate after continuous scroll finishes.
`GTK_EVENT_CONTROLLER_SCROLL_BOTH_AXES` | Emit scroll on both axes.